Bug 595 - Не работают клавиатурные комбинации
: Не работают клавиатурные комбинации
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xterm)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
: 1477
: 12429
  Show dependency tree
 
Reported: 2002-02-11 10:29 by
Modified: 2007-08-06 14:15 (History)


Attachments
0000595-xterm-166-alt-metaaltfix.patch (513 bytes, application/octet-stream)
2002-09-17 20:05, gregean1
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-02-11 10:29:34
В xterm из Master beta не работа�т комбинации по типу
Alt-<key> или Ctrl-<key> (во всяком слу�ае, в MC). В
Junior 1.1 все было в порядке, под другими терминалами тоже все нормально.
---

---
------- Comment #1 From 2002-02-23 16:49:02 -------
[<a href="mailto:test2@lav" target="_new">test2@lav</a> test2]$ rpm -q xterm
xterm-165-alt1
Не работают комбинации с Alt-,
Ctrl- всё работает.
Если тут неодолимые проблемы, может,
например, в IceWM по умолчанию поставить вызов aterm,
он вроде не хуже...
------- Comment #2 From 2002-02-23 16:49:02 -------
[<a href="mailto:test2@lav" target="_new">test2@lav</a> test2]$ rpm -q xterm
xterm-165-alt1
Не работают комбинации с Alt-,
Ctrl- всё работает.
Если тут неодолимые проблемы, может,
например, в IceWM по умолчанию поставить вызов aterm,
он вроде не хуже...
------- Comment #3 From 2002-02-23 22:33:29 -------
Да, Ctrl работает...
------- Comment #4 From 2002-02-23 22:33:29 -------
Да, Ctrl работает...
------- Comment #5 From 2002-09-17 20:04:58 -------
В Master то же самое, сейчас разобрался, почему.

1) При настройках по умолчанию:
$ cat
(давлю Alt-{q,w,e,r,t,y})
^[Я^[В^[Е^[Р^[Т^[Ы

Проблема 1: стоит XTerm.VT100.eightBitInput: True, что согласуется с man xterm:
default=True, но для русской среды совершенно непригодно. Надо править
Xresources, либо app-defaults, либо (совсем некультурно) сменить значение по
умолчанию.

2) xterm -xrm \'*eightBitInput: False\'
$ cat
(давлю Alt-{q,w,e,r,t,y})
^[^[q^[^[w^[^[e^[^[r^[^[t^[^[y

Проблема 2: код \\033 дублируется.

Причина п.2 - кривой xterm-131-mdk-metaaltfix.patch (последний патч от mdk в
пакете :-). Решается путем замены его на прилагаемый файл. Либо можно вообще
выбросить этот патч (при условии, что все раскладки клавиатуры правильные и
содержат Meta).

(Комбинация Alt-Backspace все равно не работает - тут надо править Xresources
на предмет Xterm.VT100.translations, т.к. Backspace там явно прописан.)
------- Comment #6 From 2002-09-17 20:04:58 -------
В Master то же самое, сейчас разобрался, почему.

1) При настройках по умолчанию:
$ cat
(давлю Alt-{q,w,e,r,t,y})
^[Я^[В^[Е^[Р^[Т^[Ы

Проблема 1: стоит XTerm.VT100.eightBitInput: True, что согласуется с man xterm:
default=True, но для русской среды совершенно непригодно. Надо править
Xresources, либо app-defaults, либо (совсем некультурно) сменить значение по
умолчанию.

2) xterm -xrm \'*eightBitInput: False\'
$ cat
(давлю Alt-{q,w,e,r,t,y})
^[^[q^[^[w^[^[e^[^[r^[^[t^[^[y

Проблема 2: код \\033 дублируется.

Причина п.2 - кривой xterm-131-mdk-metaaltfix.patch (последний патч от mdk в
пакете :-). Решается путем замены его на прилагаемый файл. Либо можно вообще
выбросить этот патч (при условии, что все раскладки клавиатуры правильные и
содержат Meta).

(Комбинация Alt-Backspace все равно не работает - тут надо править Xresources
на предмет Xterm.VT100.translations, т.к. Backspace там явно прописан.)
------- Comment #7 From 2002-09-19 18:11:25 -------
Looks like fixed in xterm-167-alt1
------- Comment #8 From 2002-09-19 18:11:25 -------
Looks like fixed in xterm-167-alt1
------- Comment #9 From 2002-10-26 20:02:37 -------
Reopen if required.
------- Comment #10 From 2002-10-26 20:02:37 -------
Reopen if required.
------- Comment #11 From 2005-08-28 18:29:22 -------
До сих пор не работают комбинации 
ALT-буквы в xterm. Приходится пользоваться Esc. 
------- Comment #12 From 2005-08-30 00:29:29 -------
Не верю, у меня работают.
------- Comment #13 From 2006-03-01 06:00:34 -------
У меня работает и в xterm-202-alt2, и в xterm-209-alt1.
------- Comment #14 From 2007-07-31 15:05:01 -------
Не работает, например в Desktop 4.0 с xterm-228-alt1
При нажатии комбинаций Alt-буквы в xterm просто вводятся буквы, кодировка 
которых зависит от текущей локали.
------- Comment #15 From 2007-08-01 10:27:01 -------
Моя.
------- Comment #16 From 2007-08-01 11:02:25 -------
У меня всё заработало (в zsh, если это важно), после прописывания в
~/.Xdefaults:

XTerm*metaSendsEscape: true

При этом у меня нет этой записи в /etc/X11/Xresources и app-defaults версии
0.2.8.3-alt1.

P.S.: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=260232 идентичная бага,
как понимаю.

P.P.S.: 2at@: Алексей, проверьте, пожалуйста, будет ли у вас это работать?
Потому как у Виталика пока не работает.
------- Comment #17 From 2007-08-01 11:04:54 -------
+ http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=326200 тоже похоже
------- Comment #18 From 2007-08-01 11:15:28 -------
Предлагаю занести в /etc/X11/app-defaults/XTerm
строку
XTerm*VT100*metaSendsEscape: True
которая окончательно решает заявленную проблему.
------- Comment #19 From 2007-08-01 11:19:12 -------
(In reply to comment #18)
> Предлагаю занести в /etc/X11/app-defaults/XTerm
> строку> XTerm*VT100*metaSendsEscape: True
> которая окончательно решает заявленную проблему.

Это к мэйнтейнеру app-defaults.
------- Comment #20 From 2007-08-01 11:21:12 -------
(In reply to comment #19)
> Это к мэйнтейнеру app-defaults.

Ан, нет:

$ rpm -qf /etc/X11/app-defaults/XTerm
xterm-228-alt1

2inger@: сорриза беспокойство.
------- Comment #21 From 2007-08-05 22:45:08 -------
В Сизиф неспешно отправился 228-alt2, в котором бага исправлена.